+======================================+
   Discuz! X2.5 20171001
+======================================+
修復自發佈以來積累的安全和使用問題

+======================================+
   Discuz! X2.5 20141225
+======================================+
修復自發佈以來積累的安全和使用問題

+======================================+
   Discuz! X2.5 正式版 20140603
+======================================+
修復已知的安全問題
新增對微信插件的支持

+======================================+
   Discuz! X2.5 正式版 20130222
+======================================+
FIX 由於部分變量過濾不嚴導致的XSS問題
FIX 管理員在版塊前台管理面板中更新推薦主題時，原主題推薦者ID被修改為管理員ID的問題(14039)
FIX soso表情更換新域名

+======================================+
   Discuz! X2.5 正式版 20130201
+======================================+
ADD wpa接口調整
FIX 登錄+驗證碼+浮窗 邏輯細節
FIX 日誌記錄讀取緩存過小，導致防重複失敗
ADD 增加wap註冊的驗證碼複雜度
FIX 接口安全信息過濾

FIX 遠程附件無法使用SSL安全鏈接 BUG
FIX 修復評分刷分的一個bug
FIX 設置帖子隱藏內容 同步到QQ空間後，隱藏內容直接顯示過濾掉了
FIX 修正廣播中展示了回帖僅作者可見
FIX wpa體驗調整，帶uin參數

FIX 應用中心客戶端升級， 兼容組件
FIX 應用中心客戶端升級， 兼容組件
FIX 禁止回復匿名留言
FIX 修正IE6下選擇版塊出錯的BUG

FIX 修正自定義IMGDIR後造成IE下不可用的BUG
FIX 修復 在$_GET['do']為空時無法裝扮個人空間的問題(13998)
FIX 修正配置二級域名造成日誌、相冊在主導航的跳轉BUG
FIX DIY會員模塊，個人居住地、出生地信息無法調出(13970)

FIX 通用戶點擊加入群組後，未經過審核 便可直接發帖
FIX DIY商品模塊顯示重複數據的問題
FIX 文章查看頁用戶的編輯和刪除的權限判斷不正確的問題，由於變量不統一導致的
FIX 禁言用戶的時候勾選清空 評論和留言 無效
FIX 隱藏標籤過濾

FIX 互聯showmessage的時候不再顯示登錄按鈕
FIX 加強DIY模塊模板解析時對特殊字符
FIX 添加自己的主題到自己淘專輯不提醒
FIX 修復 DIY模塊屬性設置中復選框值無法取消的問題
FIX 詞語過濾使用搜索時，分頁無效

FIX 門戶文章發佈時 全屏編輯器,上傳圖片等窗口被遮擋的問題
FIX 修復門戶文章刪除時因主鍵不對應導致誤刪除的問題
FIX 完善資料功能bug
FIX 更新緩存時置頂帖子獲取條件不正確
FIX 閱讀權限的設置問題

FIX 淘帖列表分頁排序
FIX 互聯修改為Oauth1.0a協議
FIX 自定義用戶組無權下載附件提示頁面，顯示用戶組錯誤。 
FIX 發帖如果沒有輸入驗證碼，點提交後，附件列表的彈窗的內容會不見的問題

FIX 縱橫搜索「僅作者可見」和「論壇升級未開啟系統插件」
FIX 閱讀權限255時顯示問題
FIX 搶樓貼沒設置截止樓層時發生邏輯錯誤
FIX 群組後台管理權限

FIX 遠程附件無法刪除的問題
FIX 刪除字段時進行字段是否存在的檢查，確保不出現異常錯誤
FIX 增加判斷，防止因數據異常出錯
FIX 悔悟卡小圖標引用錯誤

FIX 排行榜功能，美女和帥哥不顯示名稱
FIX 增加獲取圖片縮略圖接口
FIX 修正開啟通過郵件發送註冊地址時激活用戶失敗的BUG
FIX 審核不顯示主題標題的問題
FIX 日誌的分享次數不增加的問題

+======================================+
   Discuz! X2.5 正式版 20121101
+======================================+
FIX DIY模塊模板中order=odd同一個模板中無法多次使用的問題
FIX dz_newpic接口增加一張圖片地址數據
FIX 插件本地更新時提示有新版
FIX 日誌發表審核通過後+積分，再次編輯，再次審核時還加
FIX 按熱度排序

FIX 禁止WAP時的列表緩存
FIX 廣播回復產生提醒
FIX 修正版主移除懸賞造成的積分扣減BUG
FIX 審核留言提示問題
FIX 帖子圖片有浮動信息層自動聚集導致頁面自動滾動到頂部的問題

FIX 加密版塊主題出現在首頁查看新貼裡
FIX 清理用戶時刪除廣播
FIX 刪除主題時清理對應Tags失敗
FIX 修正沒有發特殊帖子用戶不能修改回帖的BUG
FIX 群JS，增加版本號，避免瀏覽器緩存

FIX 手機客戶端增加 最新回復的主題 最新圖片的主題 精華貼的主題
FIX 修復縮略圖生成bug
FIX 關閉在線時間統計功能後 管理工作統計顯示錯誤
FIX 修正搜索接口可能的帖子空洞造成獲取數據失敗問題
FIX 不同模板DIY應用本頁時頁面將調用默認模板的問題

FIX 部分程序報錯信息顯示不完整的問題
FIX 修正批量刪除用戶審核信息的BUG
FIX 多次連續合併同個帖子時發生錯誤
FIX 防止與jQuery原生方法衝突
FIX 短消息導出成html後亂碼

FIX 公共消息刪除無效
FIX DIY模塊生成縮略圖時重複插入記錄的問題
FIX 頻道欄目設置目錄時在ie瀏覽器下diy操作顏色面板出現404錯誤
FIX 修復會員數：刪除互聯遊客表記錄以後再次更新會員數緩存
FIX 使用道具時導致錯位問題

+======================================+
   Discuz! X2.5 正式版 20120901
+======================================+

感謝「知道創宇（www.knownsec.com）」為本次修正提出安全建議

FIX  分類信息模板設置tab在IE6下切換BUG
FIX DIY調用分類信息模板的問題
FIX  側邊欄沒有對綁定名處理的BUG
FIX 專題評論不顯示分頁的問題
FIX 超大float類型數據進行intval後變為負數的問題

FIX DIY模塊推送數據時默認日期格式使用問題
FIX cron_publish_halfhourly.php文件引入文件時使用相對路徑導致的問題
FIX 縱橫搜索完成跳轉時同步勾選帖子搜索選項
FIX subtemplate模板語法導致出現XML問題
FIX  短消息上報兼容沒有 openid 的用戶

FIX 發投票帖前出現%號，會導致數據庫報錯
FIX  可能導致遠程附件丟失的問題
FIX  13392 關於後台登陸頁的meta與title順序問題
ADD 增加內存級緩存類型wincache(IIS+ PHP fastCGI)的支持
FIX  回帖僅作者可見的帖子返回message設置為類似「該帖僅作者可見」的內容

FIX  關於清除用戶時無法清除點評數據緩存的問題
FIX  關於允許遊客評論日誌之後，後台審核刪除日誌評論的問題
FIX  修正日誌添加鏈接光標定位錯誤的BUG
FIX  修改過濾標籤規則（修復顯示[hide]標籤內容問題）
FIX  IE下ajaxget請求發送http頭的referer值不正確的問題

ADD 增加Ajax回復時通過viewthread_postbottom嵌入點輸出同步url
FIX  修復分享到微博時分享內容為空的js報錯問題
FIX  修正開通縱橫搜索後，在全局中操作搜索設置時把帖子給關閉的BUG
FIX  增強圖片格式驗證
FIX  解決驗證碼不刷新的問題，以及彈出之個層的之間驗證碼衝突的問題

FIX  沒有新主題或者回復，版塊圖標卻顯示有新帖狀態標記
FIX  底層修改引起的認證提交後沒有顯示的BUG
FIX  用戶組跳轉和過期頁積分顯示問題
FIX  群組成員搜索錯誤
FIX  在內存緩存和文件緩存同時開啟時優先使用內存緩存

FIX  後台開啟「啟用登錄密碼加密」後，前台登錄頁面報錯
FIX  專題在自有定義頁面鏈接顏色時框架標題顏色失效的問題
FIX  版塊自定義附件類型造成上傳不識別的BUG
FIX  發廣播後驗證碼沒有刷新
FIX  底層修改引起的認證提交後沒有顯示的BUG

FIX  修正目前已知的安全問題和隱患

+======================================+
   Discuz! X2.5 正式版 20120601
+======================================+

FIX  修改 JS響應的事件
FIX  QQ群：縮小url長度
FIX  群組二級域名設置為空值時沒有清空緩存表數據
ADD 添加個人空間域名最大長度為15的說明 
ADD 處理分類信息添加分類信息標題

FIX  處理分類信息為array格式
FIX  用戶組、版塊的插件變量設置修復
ADD 增加手機客戶端白名單版本號兼容程序
FIX  修正文章及日誌裡斜體字失效的問題
FIX  x2.5分支對forumnav的管理員主題分類的過濾

FIX  中文無法註冊的字符集問題
FIX  x2.5分支對看帖分類信息的兼容
FIX  設置script標籤src中返回內容的ContentType為text/javascript
FIX  關聯鏈接 PHP模式下兼容<script 標籤
FIX  回復點評只顯示1條

FIX  註冊服務條款顯示格式問題
FIX  主題查看數在開啟緩存帖子時不定期自動重置為1的問題
FIX  關閉積分獎勵時不顯示提示
FIX  修正其他配色的快速發帖按鈕問題
FIX  同庫多論壇兼容性

FIX  語言包代碼錯誤
FIX  分類信息編輯時選擇框不顯示問題
FIX  前台管理中已經審核通過文章，後台還是提示審核的問題
FIX  FIX 沒有選擇頻道發佈文章時附件上傳提示上傳失敗的問題
FIX  修正支付寶切換時，修改獲取PID參數

FIX  分類信息主題 數值型不能顯示0
FIX  修復QQ互聯暴露匿名帖用戶信息的問題
FIX  關於回帖後再次編輯出現回復標籤不解析問題
FIX  FIX  IE6 下自適應寬度的側邊問題
FIX  DIY 某些情況下調取置頂帖或精華帖子失效的問題

FIX  修正DB改造成引統計錯誤
FIX  修正麵包屑導航鏈接錯誤的BUG
FIX  帖子閱讀權限修改問題
FIX  後台審核刪除帖子回收站裡搜索不到
FIX  專題模塊可使用字段說明文字錯誤

FIX  移動帖子時選擇保留轉向,手機版訪問時出錯 FIX 
FIX  處理由存檔表之類引起的數據不准造成分頁可能存在問題的兼容處理
FIX  關於專題評論後的偽靜態鏈接錯誤問題。

+======================================+
   Discuz! X2.5 正式版 20120601
+======================================+

FIX  遠程附件存儲失敗問題
FIX  上報當前用戶的用戶組信息
FIX  即時刪除圖片處理功能中生成的臨時文件
FIX  我的特殊帖找不到入口的問題
FIX  區分系統提醒，方便給消息中心過濾

FIX  還原EA的緩存數據清理功能
FIX  後台卸載任意模板，其它模板的名稱丟失
FIX  個人空間無法DIY問題
FIX  格式化快速發帖、回復提交按鈕旁的 radio
FIX  防水牆：分類信息內容單獨字段上報，cookie 上報相隔 12 小時

FIX  錯誤登錄記錄失效問題
FIX  修正header的方式通過showmessage實現，否則防水牆無法確認到
FIX  郵箱修改的問題,驗證時修改UC和本地數據
FIX  支持批量，臨時修改下載地址
FIX  修正引用回復在 Chrome 下的 BUG（受圖片延時加載功能的影響）

FIX  後台管理團隊開啟允許導航設置的問題
FIX  增強exif信息讀取
FIX  修正廣播「刪除」按鈕在 IE8 下的 BUG
FIX  彈窗回復和快速回復統一，默認顯示簽名
FIX  門戶文章回覆沒有ip

FIX  修正簽名欄丟失的BUG
FIX  道具回收按當前折扣價計算
FIX  縱橫搜索更新版本號
FIX  修正DIY 模塊模板 [order=N]...[/order] 輸出錯誤問題
FIX  截止目前發現的安全問題

+======================================+
   Discuz! X2.5 正式版 20120518
+======================================+
FIX  未讀醒讀取數量提升到200個
FIX  修改版本號和安全補丁號
FIX  縱橫搜索帶中文鏈接進行rawurlencode處理
FIX  添加缺失的語言包
FIX  防水牆：刪除貼的觸發點，去掉 formhash 的判斷

FIX  修正帖子審核走統計的函數，便於帖子狀態上傳給雲平台
FIX  刪除多餘的HTML標籤
FIX  縱橫搜索相關帖對來源tid進行dintval處理
FIX  回帖置頂通知作者無效的問題
FIX  增加檢查關注狀態查詢

FIX  遠程cron調用失效的問題，增加init_db開關，使init()可重複執行
FIX  群組搜索讀取版塊名bug
FIX  修正RW後標題後的RW錯誤BUG
FIX  個人空間廣播頁面不同步DIY風格顯示的問題
FIX  api下uc.php無法獲取指定用戶積分的問題

ADD 密碼償試次數限制修改回原來的驗證模式
FIX  欄目顯示順序修改後，在個人設置資料頁裡不變的問題
FIX  QQ互聯：增加錯誤碼提示
FIX  修復回帖僅作者可見問題
FIX  修正正模塊模板只允許index[0-9]的BUG

FIX  內存緩存查看bug
FIX  鏈接中熱門話題詞進行urlencode，x2相關帖指定GBK編碼
FIX  支付寶增加新的參數extend_param
FIX  修正由於底層產生handlekey空下標造成支付寶錯誤
FIX  禁止在archiver下輸出Discuz Tips

FIX  修正遠程附件裁切BUG
FIX  隱藏廣播版塊的入口
FIX  修正通出郵件發送註冊鏈接時直接通過郵箱驗證
FIX  修正提取SQL造成的BUG
FIX  刪除由於底層版本數據寫錯誤引起的BUG

FIX  X2.5 -> 將 CSS 文件中的雙引號改為單引號，防止生成緩存時轉義，導致瀏覽器不可
FIX  修正統計數據插件錯誤的BUG
FIX  相冊連接錯誤
FIX  增加回復樓層的通知類型
FIX  用戶自刪主題時不清審核表

FIX  開啟註冊人工審核,拒絕後，無法再次提交！找不到提交頁面. 
FIX  後台集成的rewrite規則的問題
FIX  清理每日用戶數據時內存緩存失效的問題
FIX  ajax cookie 上報問題
FIX  縱橫搜索修正獲取熱門話題詞失敗或空時不斷請求雲平台

FIX  重置用戶精華帖數錯誤
FIX  密碼強度提示邏輯及語言包
FIX  用戶表優化，在用戶表小於2萬數據量時不進行優化提示
FIX  通過UC修改用戶名緩存不同步的問題

+======================================+
   Discuz! X2.5 正式版 20120427
+======================================+
FIX  拋出雲平台的異常信息
FIX  修復QQ互聯消息中心bug
FIX  QQ互聯消息中心批量手機通知接口修改
FIX  QQ互聯修復升級時表名匹配錯誤
FIX  禁止上報任務的提醒

FIX  修正消息上報接口
FIX  增加發送手機通知的接口
FIX  base64_transform()兼容性問題
FIX  X2.5 廣播 -> 其他配色下的廣播頁面
FIX  優化升級提示

FIX  雲平台綁定手機用戶Token
FIX  X2.5 帖子 -> 修正帖子 <i> 斜體 BUG
FIX  修改消息中心上報內容，同時上報手機串碼
FIX  IE8下面數據有一個多餘函數contain導致for (i in obj)有問題
FIX  騰訊分析插件版本號更新

FIX  模塊指定版塊時不添加最大聚合ID的條件
FIX  後台管理團隊權限問題，編輯團隊成員去除權限無效
FIX  調整 參與模塊聚合數據條數無最大值限制，0為關閉此功能
FIX  全局→站點功能→帖子點評→點評方式 開啟後不能關閉！
FIX  群組討論區頁面無法DIY

FIX  完善判斷是否可以訪問應用中心
FIX  匿名發帖時不產生空間動態
FIX  修正遠程附件地址錯誤
FIX  修正遠程附件如果同時設置允許上傳與不允許上傳的類型
FIX  騰訊分析上報JS使用 common 鉤子

FIX  修正默認論壇圖片地址錯誤的BUG
FIX  刪除時判斷是否有推薦群組，有則刪除掉
FIX  用戶分表後，好友列表顯示錯誤
FIX  兼容1.5升級  replycredit字段不存在和common_moderate表不存在的問題
FIX  調整擴展表處理，以免擴展表中沒有對應數據導致髒數據覆蓋

FIX  防水牆：增加計劃任務優化failedlog表
FIX  FIX 模塊推送庫數據表分頁功能失效的問題
FIX  隱藏附件不在廣播中展示
FIX  關閉記錄時隱藏發心情的表單
FIX  超級版主 審核用戶無效，提交通過後，用戶還是未通過狀態。

FIX  分類信息聯動，diy調用的時候顯示亂碼
FIX  修正當關閉圖片上傳時，不顯示上傳按鈕
FIX  工具-更新統計-重建論壇帖數這裡在分表的時候可能出現版塊帖數翻倍的情況
FIX  使用stream_get_contents函數，修復某些環境下獲取數據不完整的情況 
FIX  FIX 模塊修改屏蔽數據ID時導致屏蔽的數據失效的問題

FIX  修復上級版主向下繼承時的bug
FIX  FIX 無法刪除用戶存檔表中數據
FIX  非管理員禁止訪問廣播版塊頁面
FIX  QQ互聯QQ秀在他人空間顯示瀏覽者的QQ秀bug修復

+======================================+
   Discuz! X2.5 正式版 20120413
+======================================+
FIX  應用Feed中，即使沒有好友，也允許點擊標籤，引導添加好友去
FIX  只有有新提醒時才上報
FIX  刪除無用的鉤子
FIX  群組管理審批申請用戶點擊全部忽略、全部通過時的問題
FIX  審核主題帖子通過後，再編輯重複審核加分問題

FIX   模塊的推送數據無法刪除的問題
FIX   模塊和模板的對應關係
FIX  防水牆：修復默認表前綴的問題
FIX   幻燈模塊在二次編輯模塊屬性時頁面DOM中不顯示內容
FIX  分類群組數更新bug

FIX  啟用了遠程附件，推送主題時，附件圖片不顯示
FIX   DIY模塊模板中使用圖片時獲取普通數據和帶圖片數據，只有在模塊屬性中選擇過濾帶FIX  圖片數據時才只獲取帶圖片數據
FIX  後台標籤管理 第一頁總是讀取全部數據
FIX  廣告嵌入點顯示重複

FIX  縱橫搜索首頁熱門話題樣式修改
FIX  縱橫搜索插件模板改成論壇自帶樣式
FIX  縱橫搜索install.php對原有設置進行保留
FIX  縱橫搜索部分代碼增加判斷搜索參數非空

FIX  發佈日誌中使用遠程附件，用戶組禁止發佈URL的問題。
FIX  修正手機發帖標識在 IE6/7 下的 BUG
FIX   某些圖片縮到最小後想放大滾動鼠標無效的問題
FIX  審核通過的相冊，重新上傳圖片時，編輯圖片繞過審核 的BUG 
FIX  門戶管理 -> 側邊導航結構有誤

FIX  用戶資料審核中能看到認證數據的BUG
FIX  callmethod 日誌，註釋狀態代碼
FIX  避免大文件下載失敗
FIX  home.php頁面 新加入會員 時間鼠標移上去出現解析不全
FIX   分類信息的模板中textarea標籤中的內容

FIX  checkbox也需要文字檢索重新整理
FIX  分類信息 字符類型在帖子內容中不顯示
FIX  縱橫搜索修正取消高亮未進行更新帖子狀態
FIX  雲平台插件xml文件裡面的 Discuz! version
FIX  縱橫搜索插件修改table類名以免衝突

FIX  門戶頻道模板名稱的正確獲取
FIX  認證管理中導出用戶無內容的BUG
FIX  站長推薦有刪除或不啟用時, 出現JS錯誤
FIX  個人空間DIY功能

+======================================+
   Discuz! X2.5 正式版 20120407
+======================================+
大幅度調整代碼結構，有效提升程序整體負載能力
內置應用中心，添加刪減插件和模板隨心所欲
更多互動功能，增添社區活力
豐富的雲功能擴展，助力站長專注社區運營
百餘項功能改進，讓會員和站長使用體驗大幅提升

+--------------------------------------+
往日版本( Old Vision )
+--------------------------------------+
Discuz! X1 Beta Release 20100501
Discuz! X1 Release 20100518
Discuz! X1 Release 20100601
Discuz! X1 Release 20100613
Discuz! X1 Release 20100723
Discuz! X1.5RC Release 20100901
Discuz! X1.5
Discuz! X2